var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { Injectable, Inject } from '@angular/core';
import { Http } from '@angular/http';
import { BaseApiService, ApiConfig, CommonUtil } from 'base-api-service';
var PersonApiService = /** @class */ (function (_super) {
    __extends(PersonApiService, _super);
    function PersonApiService(http, apiConfig) {
        var _this = _super.call(this, http) || this;
        _this.http = http;
        _this.apiConfig = apiConfig;
        return _this;
    }
    PersonApiService.prototype.getServiceUrl = function () {
        return CommonUtil.getApiUrl('NEST_PERSON_SERVICE_URL', this.apiConfig);
    };
    PersonApiService.decorators = [
        { type: Injectable },
    ];
    /** @nocollapse */
    PersonApiService.ctorParameters = function () { return [
        { type: Http, },
        { type: ApiConfig, decorators: [{ type: Inject, args: ['api.config',] },] },
    ]; };
    return PersonApiService;
}(BaseApiService));
export { PersonApiService };
//# sourceMappingURL=person-api.service.js.map