(function (global, factory) {
	typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@angular/http'), require('base-api-service')) :
	typeof define === 'function' && define.amd ? define(['exports', '@angular/core', '@angular/http', 'base-api-service'], factory) :
	(factory((global.ng = global.ng || {}, global.ng.nestApiService = global.ng.nestApiService || {}),global.ng.core,global._angular_http,global.baseApiService));
}(this, (function (exports,_angular_core,_angular_http,baseApiService) { 'use strict';

var Auditable = /** @class */ (function () {
    function Auditable(createdBy, creationDate, lastModifiedBy, lastModifiedDate) {
        this.createdBy = createdBy;
        this.creationDate = creationDate;
        this.lastModifiedBy = lastModifiedBy;
        this.lastModifiedDate = lastModifiedDate;
    }
    return Auditable;
}());

var __extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var Attachment = /** @class */ (function (_super) {
    __extends(Attachment, _super);
    function Attachment(id, type, idea, createdBy, creationDate, lastModifiedBy, lastModifiedDate) {
        var _this = _super.call(this, createdBy, creationDate, lastModifiedBy, lastModifiedDate) || this;
        _this.id = id;
        _this.type = type;
        _this.idea = idea;
        return _this;
    }
    return Attachment;
}(Auditable));

var __extends$1 = (undefined && undefined.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var AttachmentType = /** @class */ (function (_super) {
    __extends$1(AttachmentType, _super);
    function AttachmentType(id, name, attachments, createdBy, creationDate, lastModifiedBy, lastModifiedDate) {
        var _this = _super.call(this, createdBy, creationDate, lastModifiedBy, lastModifiedDate) || this;
        _this.id = id;
        _this.name = name;
        _this.attachments = attachments;
        return _this;
    }
    return AttachmentType;
}(Auditable));

var __extends$2 = (undefined && undefined.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var GroupIdea = /** @class */ (function (_super) {
    __extends$2(GroupIdea, _super);
    function GroupIdea(id, name, description, createdBy, creationDate, lastModifiedBy, lastModifiedDate) {
        var _this = _super.call(this, createdBy, creationDate, lastModifiedBy, lastModifiedDate) || this;
        _this.id = id;
        _this.name = name;
        _this.description = description;
        return _this;
    }
    return GroupIdea;
}(Auditable));

var __extends$3 = (undefined && undefined.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var Idea = /** @class */ (function (_super) {
    __extends$3(Idea, _super);
    function Idea(id, name, description, persons, groups, tags, knowledgeAreas, milestones, createdBy, creationDate, lastModifiedBy, lastModifiedDate) {
        var _this = _super.call(this, createdBy, creationDate, lastModifiedBy, lastModifiedDate) || this;
        _this.id = id;
        _this.name = name;
        _this.description = description;
        _this.persons = persons;
        _this.groups = groups;
        _this.tags = tags;
        _this.knowledgeAreas = knowledgeAreas;
        _this.milestones = milestones;
        return _this;
    }
    return Idea;
}(Auditable));

var __extends$4 = (undefined && undefined.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var KnowledgeArea = /** @class */ (function (_super) {
    __extends$4(KnowledgeArea, _super);
    function KnowledgeArea(id, name, idea, createdBy, creationDate, lastModifiedBy, lastModifiedDate) {
        var _this = _super.call(this, createdBy, creationDate, lastModifiedBy, lastModifiedDate) || this;
        _this.id = id;
        _this.name = name;
        return _this;
    }
    return KnowledgeArea;
}(Auditable));

var __extends$5 = (undefined && undefined.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var MilestoneType = /** @class */ (function (_super) {
    __extends$5(MilestoneType, _super);
    function MilestoneType(id, name, idea, createdBy, creationDate, lastModifiedBy, lastModifiedDate) {
        var _this = _super.call(this, createdBy, creationDate, lastModifiedBy, lastModifiedDate) || this;
        _this.name = name;
        return _this;
    }
    return MilestoneType;
}(Auditable));

var __extends$6 = (undefined && undefined.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var Person = /** @class */ (function (_super) {
    __extends$6(Person, _super);
    function Person(id, name, email, createdBy, creationDate, lastModifiedBy, lastModifiedDate) {
        var _this = _super.call(this, createdBy, creationDate, lastModifiedBy, lastModifiedDate) || this;
        _this.id = id;
        _this.name = name;
        _this.email = email;
        return _this;
    }
    return Person;
}(Auditable));

var __extends$7 = (undefined && undefined.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var Tag = /** @class */ (function (_super) {
    __extends$7(Tag, _super);
    function Tag(id, name, createdBy, creationDate, lastModifiedBy, lastModifiedDate) {
        var _this = _super.call(this, createdBy, creationDate, lastModifiedBy, lastModifiedDate) || this;
        _this.id = id;
        _this.name = name;
        return _this;
    }
    return Tag;
}(Auditable));

var __extends$8 = (undefined && undefined.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var IdeaApiService = /** @class */ (function (_super) {
    __extends$8(IdeaApiService, _super);
    function IdeaApiService(http, apiConfig) {
        var _this = _super.call(this, http) || this;
        _this.http = http;
        _this.apiConfig = apiConfig;
        return _this;
    }
    IdeaApiService.prototype.getServiceUrl = function () {
        return baseApiService.CommonUtil.getApiUrl('NEST_IDEA_SERVICE_URL', this.apiConfig);
    };
    IdeaApiService.decorators = [
        { type: _angular_core.Injectable },
    ];
    /** @nocollapse */
    IdeaApiService.ctorParameters = function () { return [
        { type: _angular_http.Http, },
        { type: baseApiService.ApiConfig, decorators: [{ type: _angular_core.Inject, args: ['api.config',] },] },
    ]; };
    return IdeaApiService;
}(baseApiService.BaseApiService));

var __extends$9 = (undefined && undefined.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var PersonApiService = /** @class */ (function (_super) {
    __extends$9(PersonApiService, _super);
    function PersonApiService(http, apiConfig) {
        var _this = _super.call(this, http) || this;
        _this.http = http;
        _this.apiConfig = apiConfig;
        return _this;
    }
    PersonApiService.prototype.getServiceUrl = function () {
        return baseApiService.CommonUtil.getApiUrl('NEST_PERSON_SERVICE_URL', this.apiConfig);
    };
    PersonApiService.decorators = [
        { type: _angular_core.Injectable },
    ];
    /** @nocollapse */
    PersonApiService.ctorParameters = function () { return [
        { type: _angular_http.Http, },
        { type: baseApiService.ApiConfig, decorators: [{ type: _angular_core.Inject, args: ['api.config',] },] },
    ]; };
    return PersonApiService;
}(baseApiService.BaseApiService));

var __extends$10 = (undefined && undefined.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var TagApiService = /** @class */ (function (_super) {
    __extends$10(TagApiService, _super);
    function TagApiService(http, apiConfig) {
        var _this = _super.call(this, http) || this;
        _this.http = http;
        _this.apiConfig = apiConfig;
        return _this;
    }
    TagApiService.prototype.getServiceUrl = function () {
        return baseApiService.CommonUtil.getApiUrl('NEST_TAG_SERVICE_URL', this.apiConfig);
    };
    TagApiService.decorators = [
        { type: _angular_core.Injectable },
    ];
    /** @nocollapse */
    TagApiService.ctorParameters = function () { return [
        { type: _angular_http.Http, },
        { type: baseApiService.ApiConfig, decorators: [{ type: _angular_core.Inject, args: ['api.config',] },] },
    ]; };
    return TagApiService;
}(baseApiService.BaseApiService));

var NestApiServiceModule = /** @class */ (function () {
    function NestApiServiceModule() {
    }
    NestApiServiceModule.decorators = [
        { type: _angular_core.NgModule, args: [{
                    providers: [IdeaApiService, PersonApiService, TagApiService]
                },] },
    ];
    /** @nocollapse */
    NestApiServiceModule.ctorParameters = function () { return []; };
    return NestApiServiceModule;
}());

// Nest Api
var faker = require('faker');
var MocksUtil = /** @class */ (function () {
    function MocksUtil() {
    }
    // TODO create mock data using external json files
    /**
     * Create a mocked instance of the ApiConfig object to be used in tests
     * @param apiUrls the list of ApiUrls with which must be created.
     */
    MocksUtil.createMockedApiConfig = function () {
        var apiConfig = new baseApiService.ApiConfig();
        apiConfig.credentials = new baseApiService.Credentials(faker.internet.userName(), faker.internet.password(), ';');
        apiConfig.timeExpired = 5;
        apiConfig.apiUrls = [
            { id: 'HEROES_SERVICE_URL', url: 'http://127.0.0.1:3000/api/heroes' },
            { id: 'VILLAINS_SERVICE_URL', url: 'http://127.0.0.1:3000/api/villains' },
            { id: 'OAUTH_SERVICE_URL', url: 'http://localhost:3000/api/oauth/token' }
        ];
        apiConfig.errorHandler = 'SIMPLE';
        apiConfig.loggerService = 'CONSOLE';
        apiConfig.authService = 'OAUTH';
        return apiConfig;
    };
    /**
     * Create a mocked instance of the oath token returned by the authentication service
     */
    MocksUtil.createMockedOauthToken = function () {
        return {
            'access_token': 'a1b2c3d4-4g67-5t5t-6j6j-5f4fg4',
            'token_type': 'bearer',
            'refresh_token': '12345678-8888-9999-b676',
            'expires_in': 43199,
            'scope': 'openid'
        };
    };
    return MocksUtil;
}());

/**
 * @module
 * @description
 * Entry point for all public APIs of the Angular Module
 */

exports.Attachment = Attachment;
exports.AttachmentType = AttachmentType;
exports.Auditable = Auditable;
exports.GroupIdea = GroupIdea;
exports.Idea = Idea;
exports.KnowledgeArea = KnowledgeArea;
exports.MilestoneType = MilestoneType;
exports.Person = Person;
exports.Tag = Tag;
exports.NestApiServiceModule = NestApiServiceModule;
exports.IdeaApiService = IdeaApiService;
exports.PersonApiService = PersonApiService;
exports.TagApiService = TagApiService;
exports.MocksUtil = MocksUtil;

Object.defineProperty(exports, '__esModule', { value: true });

})));
