import { Auditable } from "./auditable";
import { Person } from "./person";
import { GroupIdea } from "./group-idea";
import { Tag } from "./tag";
import { KnowledgeArea } from "./knowledge-area";
import { MilestoneType } from "./milestone-type";
export declare class Idea extends Auditable<number> {
    id: number;
    name: string;
    description: string;
    persons: Person[];
    groups: GroupIdea[];
    tags: Tag[];
    knowledgeAreas: KnowledgeArea[];
    milestones: MilestoneType[];
    constructor(id: number, name: string, description: string, persons: Person[], groups: GroupIdea[], tags: Tag[], knowledgeAreas: KnowledgeArea[], milestones: MilestoneType[], createdBy: number, creationDate: Date, lastModifiedBy: number, lastModifiedDate: Date);
}
